%
%  Aufruf: 
%    >> [t,y] = fourierReihe([1,1/3,1/5],[1,3,5], 440, 40000, 0.1 ); 
%    >> plot( t,y )
%    >> axis( [ 0 10/440 -1 1 ]) 
%
function [t,y] = fourierReihe( A, nf, f, SR, tm )

  t = 0:1/SR:tm;        % Zeitpunkte
  anz = length( A );    % Anzahl der Obertne in A
  y = 0;

  for( n=1:anz )        % Addition der anz Beitrge 
    y = y + A(n)*sin(2*pi*nf(n)*f*t);    % Beitrag zur Frequenz nf(n)*f 
  end

end 
