%
% CAD-Start-Function miniCAD.m
% 
% Autor:    U. Stein
% erzeugt:  10.03.2008
% gendert: 
% 
function miniCAD

    % globale Variable CADdata anlegen:  
    % muss in jeder function, die CADdata verwendet, ebenfalls so deklariert werden 
    global CADdata;  
        
    % Geometrie-Daten:
    CADdata = struct( 'anzPt', 0, 'pt', [], 'anzLn', 0, 'ln', [] );
    CADdata.anzPt = 0;  % Zahl der bereits angelegten Punkte
    CADdata.anzLn = 0;  % Zahl der bereits angelegten Linien
    
    % Liste mit den Punkten
    CADdata.pt  = struct( 'x', 0, 'y', 0 );
    % Liste mit den Linien
    CADdata.ln  = struct( 'p1', 0, 'p2', 0 );
        
    % Aufruf der GUI-Oberflche + smtliche weiteren Aktionen:
    guiCAD;

return;